## masakari 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
iso8601>=0.1.11 # MIT
jsonschema<3.0.0,>=2.6.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
WebOb>=1.7.1 # MIT
microversion-parse>=0.2.1 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0

=== debian/changelog ===
masakari (6.0.0-0ubuntu1~cloud0) bionic-rocky; urgency=medium

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Feb 2019 08:16:17 -0500

=== debian/control ===
Source: masakari
Section: python
Priority: optional
Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 85~),
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 crudini,
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-microversion-parse (>= 0.2.1),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pep8,
 python3-pbr (>= 2.0.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-taskflow (>= 2.16.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.3.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/masakari
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/masakari
Homepage: https://github.com/openstack/masakari
Testsuite: autopkgtest-pkg-python

Package: masakari-api
Architecture: all
Section: python
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-masakari (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - API Server
 Masakari provides Virtual Machine High Availability (VMHA) service for OpenStack clouds by
 automatically recovering the KVM-based Virtual Machine(VM)s from failure events such as VM
 process down, provisioning process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Masakari API Server.

Package: masakari-engine
Architecture: all
Section: python
Depends:
 python3-masakari (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Engine
 Masakari provides Virtual Machine High Availability (VMHA) service for OpenStack clouds by
 automatically recovering the KVM-based Virtual Machine(VM)s from failure events such as VM
 process down, provisioning process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Masakari Engine.

Package: python3-masakari
Architecture: all
Depends:
 masakari-common (= ${source:Version}),
 python3-babel (>= 2.3.4),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-microversion-parse (>= 0.2.1),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Python 3
 Masakari provides Virtual Machine High Availability (VMHA) service for OpenStack clouds by
 automatically recovering the KVM-based Virtual Machine(VM)s from failure events such as VM
 process down, provisioning process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Python 3 module.

Package: masakari-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Common Files
 Masakari provides Virtual Machine High Availability (VMHA) service for OpenStack clouds by
 automatically recovering the KVM-based Virtual Machine(VM)s from failure events such as VM
 process down, provisioning process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains common files.

Package: masakari-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 libjs-jquery,
Description: Virtual Machine High Availability (VMHA) for OpenStack - Documentation
 Masakari provides Virtual Machine High Availability (VMHA) service for OpenStack clouds by
 automatically recovering the KVM-based Virtual Machine(VM)s from failure events such as VM
 process down, provisioning process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Masakari documentation.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/masakari/ masakari-(6\.\d.*)\.tar\.gz

## masakari 7.0.0~b1

=== debian/changelog ===
masakari (7.0.0~b1-0ubuntu2) disco; urgency=medium

  * d/masakari-common.postinst: Change /etc/masakari to 0750 root:masakari.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Feb 2019 08:23:56 -0500

masakari (7.0.0~b1-0ubuntu1) disco; urgency=medium

  * Initial release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Feb 2019 14:19:29 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper (>= 10~),
  dh-apache2,
  dh-python,
- openstack-pkg-tools (>= 85~),
+ openstack-pkg-tools (>= 85ubuntu3~),
  python-all,
  python-setuptools,
  python3-all,
@@ -36,11 +36,11 @@
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
- python3-pep8,
  python3-pbr (>= 2.0.0),
  python3-psycopg2 (>= 2.6.2),
  python3-pymysql (>= 0.7.6),
@@ -113,6 +113,7 @@
  python3-oslo.middleware (>= 3.31.0),
  python3-oslo.policy (>= 1.30.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-pbr (>= 2.0.0),

## masakari 7.0.0~rc1

=== requirements.txt ===
--- 
+++ 
@@ -18,10 +18,12 @@
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.policy>=1.30.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
+oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
+SQLAlchemy-Utils>=0.33.10 # Apache-2.0
 taskflow>=2.16.0 # Apache-2.0

## masakari 7.0.0

=== debian/changelog ===
masakari (7.0.0-0ubuntu1~cloud2) bionic-stein; urgency=medium

  * d/p/modified-recovery-flow-for-stopped-instance.patch: Cherry-picked
    from upstream stable branch to fix recovery of stopped instances
    (LP: #1782517).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 16:47:21 -0400

masakari (7.0.0-0ubuntu1~cloud1) bionic-stein; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Billy Olsen ]
  * Check expired notifications and clean running notifications past an expiration
    to allow for a host to become manageable again (LP: #1773765).
    - d/p/check-expired-notifications.patch: Adds a periodic task to check for running
      notifications that have exceeded a threshold and removes them if necessary.

 -- Billy Olsen <billy.olsen@canonical.com>  Wed, 23 Sep 2020 20:34:54 -0700

masakari (7.0.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 12 Apr 2019 09:21:17 +0000

masakari (7.0.0-0ubuntu1) disco; urgency=medium

  [ Corey Bryant ]
  * d/control: Set source package Section to net, fixing
    binary-control-field-duplicates-source lintian tag.

  [ James Page ]
  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:22:35 +0100

masakari (7.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.
  * d/p/py3-ensure-wsgi-headers-are-not-bytes-type.patch: Dropped. Fixed
    in upstream release candidate.
  * d/p/skip-tests.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 13:27:26 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: masakari
-Section: python
+Section: net
 Priority: optional
-Maintainer: Corey Bryant <corey.bryant@canonical.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
 Build-Depends:
  apache2-dev,
  debhelper (>= 10~),
@@ -58,8 +59,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.3.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/masakari
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/masakari
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari
 Homepage: https://github.com/openstack/masakari
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with apache2,python3,systemd

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-masakari/usr/etc
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=etc/masakari/masakari-policy-generator.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/masakari/masakari-config-generator.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/masakari/masakari-customized-recovery-flow-config-generator.conf
	cp etc/masakari/masakari.conf.sample etc/masakari/masakari.conf
	cp etc/masakari/masakari-custom-recovery-methods.conf.sample etc/masakari/masakari-custom-recovery-methods.conf
	crudini --set $(CURDIR)/etc/masakari/masakari.conf database connection sqlite:////var/lib/masakari/masakari.sqlite
	dh_install --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf doc/build/* doc/source/api doc/.autogenerated

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source doc/build/html
endif

override_dh_auto_install:
	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/masakari/ masakari-(7\.\d.*)\.tar\.gz

## masakari 8.0.0~rc1

=== debian/changelog ===
masakari (8.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.

  [ Corey Bryant ]
  * d/p/skip-tests.patch: Dropped. No longer needed.
  * d/watch: Scope to 8.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 15:41:49 -0400

masakari (8.0.0~b2~git2019073018.204fa9c-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:36:31 +0200

masakari (8.0.0~b1~git2019061718.e8a18ee-0ubuntu1) eoan; urgency=medium

  * New upstream release 8.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 19 Jun 2019 11:20:06 +0100

## masakari 8.0.0

=== debian/changelog ===
masakari (8.0.0-0ubuntu1~cloud2) bionic-train; urgency=medium

  * d/p/modified-recovery-flow-for-stopped-instance.patch: Cherry-picked
    from upstream stable branch to fix recovery of stopped instances
    (LP: #1782517).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 16:39:09 -0400

masakari (8.0.0-0ubuntu1~cloud1) bionic-train; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Billy Olsen ]
  * Check expired notifications and clean running notifications past an expiration
    to allow for a host to become manageable again (LP: #1773765).
    - d/p/check-expired-notifications.patch: Adds a periodic task to check for running
      notifications that have exceeded a threshold and removes them if necessary.

 -- Billy Olsen <billy.olsen@canonical.com>  Wed, 23 Sep 2020 20:27:13 -0700

masakari (8.0.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 Oct 2019 17:31:44 +0000

masakari (8.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:29:45 +0100

=== debian/control ===
--- 
+++ 
@@ -19,14 +19,14 @@
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
  python3-ddt (>= 1.0.1),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-iso8601 (>= 0.1.11),
  python3-jsonschema (>= 2.6.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-microversion-parse (>= 0.2.1),
  python3-novaclient (>= 2:9.1.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.24.0),
  python3-os-api-ref (>= 1.4.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
@@ -43,11 +43,14 @@
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
  python3-pbr (>= 2.0.0),
+ python3-pep8 (>= 1.5.7),
  python3-psycopg2 (>= 2.6.2),
  python3-pymysql (>= 0.7.6),
  python3-reno (>= 2.5.0),
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-sqlalchemy-utils (>= 0.32.21),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-subunit (>= 1.0.0),
@@ -119,6 +122,7 @@
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-pbr (>= 2.0.0),
  python3-six (>= 1.10.0),
+ python3-sqlalchemy-utils (>= 0.32.21),
  python3-stevedore (>= 1:1.20.0),
  python3-taskflow (>= 2.16.0),
  python3-webob (>= 1:1.7.1),

## masakari 9.0.0~b1~git2019121615.596b3d1

=== debian/changelog ===
masakari (9.0.0~b1~git2019121615.596b3d1-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream
  * d/rules: Swith to pybuild
  * d/control: Drop. Dropped py2 support.
  * d/rules: Switch to pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.
  * d/p/skip-py38-failures.patch: Skip py38 failures until fixed
    upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Dec 2019 16:36:35 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,6 @@
  dh-apache2,
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-setuptools,
  python3-all,
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
@@ -50,7 +48,7 @@
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
- python3-sqlalchemy-utils (>= 0.32.21),
+ python3-sqlalchemy-utils (>= 0.33.10),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-subunit (>= 1.0.0),
@@ -62,8 +60,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.3.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/masakari
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/masakari
 Homepage: https://github.com/openstack/masakari
 Testsuite: autopkgtest-pkg-python
 
@@ -122,7 +120,7 @@
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-pbr (>= 2.0.0),
  python3-six (>= 1.10.0),
- python3-sqlalchemy-utils (>= 0.32.21),
+ python3-sqlalchemy-utils (>= 0.33.10),
  python3-stevedore (>= 1:1.20.0),
  python3-taskflow (>= 2.16.0),
  python3-webob (>= 1:1.7.1),

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,19 @@
 
 # Verbose mode
 #export DH_VERBOSE=1
+
+SHELL := /bin/sh -e
+
+DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
+VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
+export PBR_VERSION=$(VERSION)
 
 PYTHON3S:=$(shell py3versions -vr)
 
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --with apache2,python3,systemd
+	dh $@ --with apache2,python3,systemd --buildsystem=pybuild
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
@@ -30,7 +36,7 @@
 endif
 
 override_dh_auto_clean:
-	dh_auto_clean -O--buildsystem=python_distutils
+	dh_auto_clean -O--buildsystem=pybuild
 	rm -rf doc/build/* doc/source/api doc/.autogenerated
 
 override_dh_auto_build:

## masakari 9.0.0~b2~git2020020609.8b122a8

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 Babel!=2.4.0,>=2.3.4 # BSD
 iso8601>=0.1.11 # MIT
-jsonschema<3.0.0,>=2.6.0 # MIT
+jsonschema>=2.6.0 # MIT
 keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
 WebOb>=1.7.1 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.24.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

# releasenotes
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
masakari (9.0.0~b2~git2020020609.8b122a8-0ubuntu2) focal; urgency=medium

  * d/p/allow-bare-hostnames.patch: Cherry pick inflight fix to allow use of
    bare hostnames when adding hosts to segments (LP: #1839715).
  * d/p/python3.8-compat.patch,skip-py38-failures.patch: Drop skip patch and
    pick proposed fixes for Python 3.8 compatibility (LP: #1860265).
  * d/rules: Ensure Python doctree's are not included in binary packages.
  * d/control: Tidy lintian warnings with regards to package long
    descriptions.

 -- James Page <james.page@ubuntu.com>  Mon, 17 Feb 2020 16:22:28 +0000

masakari (9.0.0~b2~git2020020609.8b122a8-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 06 Feb 2020 10:52:13 +0100

=== debian/control ===
--- 
+++ 
@@ -74,9 +74,10 @@
  python3-masakari (= ${source:Version}),
  ${misc:Depends},
 Description: Virtual Machine High Availability (VMHA) for OpenStack - API Server
- Masakari provides Virtual Machine High Availability (VMHA) service for OpenStack clouds by
- automatically recovering the KVM-based Virtual Machine(VM)s from failure events such as VM
- process down, provisioning process down, and nova-compute host failure. It also provides
+ Masakari provides Virtual Machine High Availability (VMHA) service for
+ OpenStack clouds by automatically recovering the KVM-based Virtual
+ Machine(VM)s from failure events such as VM process down, provisioning
+ process down, and nova-compute host failure. It also provides
  API service for manage and control the automated rescue mechanism.
  .
  This package contains the Masakari API Server.
@@ -88,9 +89,10 @@
  python3-masakari (= ${source:Version}),
  ${misc:Depends},
 Description: Virtual Machine High Availability (VMHA) for OpenStack - Engine
- Masakari provides Virtual Machine High Availability (VMHA) service for OpenStack clouds by
- automatically recovering the KVM-based Virtual Machine(VM)s from failure events such as VM
- process down, provisioning process down, and nova-compute host failure. It also provides
+ Masakari provides Virtual Machine High Availability (VMHA) service for
+ OpenStack clouds by automatically recovering the KVM-based Virtual
+ Machine(VM)s from failure events such as VM process down, provisioning
+ process down, and nova-compute host failure. It also provides
  API service for manage and control the automated rescue mechanism.
  .
  This package contains the Masakari Engine.
@@ -127,9 +129,10 @@
  ${misc:Depends},
  ${python3:Depends},
 Description: Virtual Machine High Availability (VMHA) for OpenStack - Python 3
- Masakari provides Virtual Machine High Availability (VMHA) service for OpenStack clouds by
- automatically recovering the KVM-based Virtual Machine(VM)s from failure events such as VM
- process down, provisioning process down, and nova-compute host failure. It also provides
+ Masakari provides Virtual Machine High Availability (VMHA) service for
+ OpenStack clouds by automatically recovering the KVM-based Virtual
+ Machine(VM)s from failure events such as VM process down, provisioning
+ process down, and nova-compute host failure. It also provides
  API service for manage and control the automated rescue mechanism.
  .
  This package contains the Python 3 module.
@@ -141,9 +144,10 @@
  adduser,
  ${misc:Depends},
 Description: Virtual Machine High Availability (VMHA) for OpenStack - Common Files
- Masakari provides Virtual Machine High Availability (VMHA) service for OpenStack clouds by
- automatically recovering the KVM-based Virtual Machine(VM)s from failure events such as VM
- process down, provisioning process down, and nova-compute host failure. It also provides
+ Masakari provides Virtual Machine High Availability (VMHA) service for
+ OpenStack clouds by automatically recovering the KVM-based Virtual
+ Machine(VM)s from failure events such as VM process down, provisioning
+ process down, and nova-compute host failure. It also provides
  API service for manage and control the automated rescue mechanism.
  .
  This package contains common files.
@@ -156,9 +160,10 @@
 Recommends:
  libjs-jquery,
 Description: Virtual Machine High Availability (VMHA) for OpenStack - Documentation
- Masakari provides Virtual Machine High Availability (VMHA) service for OpenStack clouds by
- automatically recovering the KVM-based Virtual Machine(VM)s from failure events such as VM
- process down, provisioning process down, and nova-compute host failure. It also provides
+ Masakari provides Virtual Machine High Availability (VMHA) service for
+ OpenStack clouds by automatically recovering the KVM-based Virtual
+ Machine(VM)s from failure events such as VM process down, provisioning
+ process down, and nova-compute host failure. It also provides
  API service for manage and control the automated rescue mechanism.
  .
  This package contains the Masakari documentation.

=== debian/tests/control ===
Tests: masakari-daemons
Depends: masakari-api, masakari-engine, curl
Restrictions: needs-root, allow-stderr

## masakari 9.0.0~b3~git2020041013.94ec959

=== requirements.txt ===
--- 
+++ 
@@ -25,5 +25,5 @@
 python-novaclient>=9.1.0 # Apache-2.0
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
-SQLAlchemy-Utils>=0.33.10 # Apache-2.0
+SQLAlchemy>=1.2.19 # MIT
 taskflow>=2.16.0 # Apache-2.0

=== debian/changelog ===
masakari (9.0.0~b3~git2020041013.94ec959-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/masakari-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:13:43 -0400

masakari (9.0.0~b3~git2020032617.953e1d8-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/masakari-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).
  * d/p/drop-sqla-utils.patch: Dropped. No longer needed.
  * d/p/python3.8-compat.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 17:04:07 -0400

masakari (9.0.0~b2~git2020020609.8b122a8-0ubuntu4) focal; urgency=medium

  * d/*: wrap-and-sort -bast.
  * d/control,d/p/drop-sqla-utils.patch: Drop use of SQLAlchemy-Utils in
    preference for SQLAlchemy.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Mar 2020 12:18:22 +0000

masakari (9.0.0~b2~git2020020609.8b122a8-0ubuntu3) focal; urgency=medium

  * d/masakari-common.postinst: Correct chmod->chown call for ownership
    of sqlite db file if found on the local filesystem.

 -- James Page <james.page@ubuntu.com>  Tue, 25 Feb 2020 10:05:36 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  openstack-pkg-tools (>= 85ubuntu3~),
  python3-all,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
  crudini,
  python3-babel (>= 2.3.4),
@@ -42,12 +42,13 @@
  python3-oslotest (>= 1:3.2.0),
  python3-pbr (>= 2.0.0),
  python3-pep8 (>= 1.5.7),
- python3-psycopg2 (>= 2.6.2),
+ python3-psycopg2 (>= 2.7),
  python3-pymysql (>= 0.7.6),
  python3-reno (>= 2.5.0),
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-sqlalchemy (>= 1.2.19),
  python3-sqlalchemy-utils (>= 0.33.10),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
@@ -81,6 +82,37 @@
  API service for manage and control the automated rescue mechanism.
  .
  This package contains the Masakari API Server.
+
+Package: masakari-common
+Architecture: all
+Section: python
+Depends:
+ adduser,
+ ${misc:Depends},
+Description: Virtual Machine High Availability (VMHA) for OpenStack - Common Files
+ Masakari provides Virtual Machine High Availability (VMHA) service for
+ OpenStack clouds by automatically recovering the KVM-based Virtual
+ Machine(VM)s from failure events such as VM process down, provisioning
+ process down, and nova-compute host failure. It also provides
+ API service for manage and control the automated rescue mechanism.
+ .
+ This package contains common files.
+
+Package: masakari-doc
+Architecture: all
+Section: doc
+Depends:
+ ${misc:Depends},
+Recommends:
+ libjs-jquery,
+Description: Virtual Machine High Availability (VMHA) for OpenStack - Documentation
+ Masakari provides Virtual Machine High Availability (VMHA) service for
+ OpenStack clouds by automatically recovering the KVM-based Virtual
+ Machine(VM)s from failure events such as VM process down, provisioning
+ process down, and nova-compute host failure. It also provides
+ API service for manage and control the automated rescue mechanism.
+ .
+ This package contains the Masakari documentation.
 
 Package: masakari-engine
 Architecture: all
@@ -122,7 +154,7 @@
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-pbr (>= 2.0.0),
  python3-six (>= 1.10.0),
- python3-sqlalchemy-utils (>= 0.33.10),
+ python3-sqlalchemy (>= 1.2.19),
  python3-stevedore (>= 1:1.20.0),
  python3-taskflow (>= 2.16.0),
  python3-webob (>= 1:1.7.1),
@@ -136,34 +168,3 @@
  API service for manage and control the automated rescue mechanism.
  .
  This package contains the Python 3 module.
-
-Package: masakari-common
-Architecture: all
-Section: python
-Depends:
- adduser,
- ${misc:Depends},
-Description: Virtual Machine High Availability (VMHA) for OpenStack - Common Files
- Masakari provides Virtual Machine High Availability (VMHA) service for
- OpenStack clouds by automatically recovering the KVM-based Virtual
- Machine(VM)s from failure events such as VM process down, provisioning
- process down, and nova-compute host failure. It also provides
- API service for manage and control the automated rescue mechanism.
- .
- This package contains common files.
-
-Package: masakari-doc
-Architecture: all
-Section: doc
-Depends:
- ${misc:Depends},
-Recommends:
- libjs-jquery,
-Description: Virtual Machine High Availability (VMHA) for OpenStack - Documentation
- Masakari provides Virtual Machine High Availability (VMHA) service for
- OpenStack clouds by automatically recovering the KVM-based Virtual
- Machine(VM)s from failure events such as VM process down, provisioning
- process down, and nova-compute host failure. It also provides
- API service for manage and control the automated rescue mechanism.
- .
- This package contains the Masakari documentation.

=== debian/rules ===
--- 
+++ 
@@ -37,15 +37,15 @@
 
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=pybuild
-	rm -rf doc/build/* doc/source/api doc/.autogenerated
+	rm -rf doc/build/* doc/source/api doc/.autogenerated debian/doctrees
 
 override_dh_auto_build:
 	dh_auto_build
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	mkdir -p doc/build/html
 	mkdir -p doc/build/man
-	PYTHONPATH=$(CURDIR) sphinx-build -b man doc/source doc/build/man
-	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source doc/build/html
+	PYTHONPATH=$(CURDIR) sphinx-build -b man -d debian/doctrees doc/source doc/build/man
+	PYTHONPATH=$(CURDIR) sphinx-build -b html -d debian/doctrees doc/source doc/build/html
 endif
 
 override_dh_auto_install:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/masakari/ masakari-(8\.\d.*)\.tar\.gz

## masakari 9.0.0

=== requirements.txt ===
--- 
+++ 
@@ -26,4 +26,5 @@
 six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 SQLAlchemy>=1.2.19 # MIT
+SQLAlchemy-Utils>=0.33.10 # Apache-2.0
 taskflow>=2.16.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.5,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.5;python_version>='3.4'  # BSD
openstackdocstheme>=1.24.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

# releasenotes
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
masakari (9.0.0-0ubuntu0.20.04.5) focal; urgency=medium

  * d/p/bug1889765.patch: Cherry pick fix to resolve issues with
    processing of notifications when hypervisors get bounced
    (LP: #1889765).

 -- James Page <james.page@ubuntu.com>  Fri, 11 Jun 2021 14:55:59 +0100

masakari (9.0.0-0ubuntu0.20.04.4) focal; urgency=medium

  * d/p/modified-recovery-flow-for-stopped-instance.patch: Cherry-picked
    from upstream stable branch to fix recovery of stopped instances
    (LP: #1782517).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 16:25:14 -0400

masakari (9.0.0-0ubuntu0.20.04.3) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Billy Olsen ]
  * Check expired notifications and clean running notifications past an expiration
    to allow for a host to become manageable again (LP: #1773765).
    - d/p/check-expired-notifications.patch: Adds a periodic task to check for running
      notifications that have exceeded a threshold and removes them if necessary.

 -- Billy Olsen <billy.olsen@canonical.com>  Wed, 23 Sep 2020 20:19:36 -0700

masakari (9.0.0-0ubuntu0.20.04.2) focal; urgency=medium

  * d/control, d/py3dist-overrides: Drop (Build-)Depends on
    universe package python3-sqlalchemy-utils. This was added in
    9.0.0 but only needed for upstream devstack gate job.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 May 2020 13:04:38 -0400

masakari (9.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728104/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 9.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 13:18:24 -0400

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  python3-microversion-parse (>= 0.2.1),
  python3-novaclient (>= 2:9.1.0),
  python3-openstackdocstheme (>= 1.24.0),
+ python3-openstacksdk (>= 0.35.0),
  python3-os-api-ref (>= 1.4.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
@@ -49,7 +50,6 @@
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sqlalchemy (>= 1.2.19),
- python3-sqlalchemy-utils (>= 0.33.10),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-subunit (>= 1.0.0),
@@ -61,8 +61,8 @@
  subunit,
  testrepository,
 Standards-Version: 4.3.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/masakari
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/masakari
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari
 Homepage: https://github.com/openstack/masakari
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari/ masakari-(9\.\d.*)\.tar\.gz

## masakari 10.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,16 +2,15 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-Babel!=2.4.0,>=2.3.4 # BSD
 iso8601>=0.1.11 # MIT
-jsonschema>=2.6.0 # MIT
+jsonschema>=3.2.0 # MIT
 keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
 WebOb>=1.7.1 # MIT
 microversion-parse>=0.2.1 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
-oslo.db>=4.27.0 # Apache-2.0
+oslo.db>=4.44.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
@@ -23,7 +22,6 @@
 oslo.versionedobjects>=1.31.2 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
-six>=1.10.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
 SQLAlchemy>=1.2.19 # MIT
 SQLAlchemy-Utils>=0.33.10 # Apache-2.0

=== debian/changelog ===
masakari (10.0.0-0ubuntu2) groovy; urgency=medium

  * d/gbp.conf: Create stable/victoria branch.
  * d/p/modified-recovery-flow-for-stopped-instance.patch: Cherry-picked
    from upstream stable branch to fix recovery of stopped instances
    (LP: #1782517).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 16:21:08 -0400

masakari (10.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:18:22 -0400

masakari (10.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * d/watch: Scope to 10.x series.
  * New upstream release candidate for OpenStack Victoria (LP: #1773765).
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed in rc1.
  * d/p/allow-bare-hostnames.patch: Dropped. Alternative patch merged in rc1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Oct 2020 13:20:37 -0400

masakari (10.0.0~b3~git2020091407.ee48dc2-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/python3.8-compat.patch: Removed because it is fixed upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 07:18:38 +0000

masakari (10.0.0~b2~git2020073107.9492987-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 31 Jul 2020 07:49:47 +0000

masakari (10.0.0~b1~git2020070209.f604703-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 09:36:59 -0400

masakari (9.0.0-0ubuntu3) groovy; urgency=medium

  * d/control, d/py3dist-overrides: Drop (Build-)Depends on
    universe package python3-sqlalchemy-utils. This was added in
    9.0.0 but only needed for upstream devstack gate job.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 May 2020 13:00:30 -0400

masakari (9.0.0-0ubuntu2) groovy; urgency=medium

  * d/p/series: Add monkey-patch-original-current-thread.patch.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 15 May 2020 08:59:50 -0400

masakari (9.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728104/. This fixes service failures
    with Python 3.8 (LP: #1863021)
  * d/watch: Scope to 9.x series.
  * d/watch: Update to point at tarballs.opendev.org.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 14:45:07 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
 Build-Depends:
  apache2-dev,
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-apache2,
  dh-python,
- openstack-pkg-tools (>= 85ubuntu3~),
+ openstack-pkg-tools,
  python3-all,
  python3-setuptools,
- python3-sphinx (>= 1.6.5),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  crudini,
  python3-babel (>= 2.3.4),
@@ -19,17 +19,17 @@
  python3-ddt (>= 1.0.1),
  python3-hacking (>= 1.1.0),
  python3-iso8601 (>= 0.1.11),
- python3-jsonschema (>= 2.6.0),
+ python3-jsonschema (>= 3.2.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-microversion-parse (>= 0.2.1),
  python3-novaclient (>= 2:9.1.0),
- python3-openstackdocstheme (>= 1.24.0),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-openstacksdk (>= 0.35.0),
  python3-os-api-ref (>= 1.4.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.44.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -43,13 +43,13 @@
  python3-oslotest (>= 1:3.2.0),
  python3-pbr (>= 2.0.0),
  python3-pep8 (>= 1.5.7),
- python3-psycopg2 (>= 2.7),
+ python3-psycopg2 (>= 2.8),
  python3-pymysql (>= 0.7.6),
- python3-reno (>= 2.5.0),
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sqlalchemy (>= 1.2.19),
+ python3-sqlalchemy-utils (>= 0.33.10),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-subunit (>= 1.0.0),
@@ -60,7 +60,7 @@
  python3-webob (>= 1:1.7.1),
  subunit,
  testrepository,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari
 Homepage: https://github.com/openstack/masakari
@@ -135,14 +135,14 @@
  masakari-common (= ${source:Version}),
  python3-babel (>= 2.3.4),
  python3-iso8601 (>= 0.1.11),
- python3-jsonschema (>= 2.6.0),
+ python3-jsonschema (>= 3.2.0),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-microversion-parse (>= 0.2.1),
  python3-novaclient (>= 2:9.1.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.44.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -155,6 +155,7 @@
  python3-pbr (>= 2.0.0),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.2.19),
+ python3-sqlalchemy-utils (>= 0.33.10),
  python3-stevedore (>= 1:1.20.0),
  python3-taskflow (>= 2.16.0),
  python3-webob (>= 1:1.7.1),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari/ masakari-(10\.\d.*)\.tar\.gz
